Kerbal Space Program - Bug #636

Severe graphics corruption and crashing under OSX.
05/17/2013 02:45 PM - SuperD

Status: Closed Start date: 05/17/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Camera

Target version:
Version: 0.19 Language: English (US)
Platform: 0OSX Mod Related: No

Expansion:

Description

System Specs:

0S: 08X 10.8.2

RAM: 16GB

GPU: AMD 6770M 1GB
CPU: 2.4Ghz 17 quad core
Machine: Late 2011 MBP

Mod Packs:
B9 aerospace
MechJeb

KW rocketry

Problem Description:

Severe graphical problems and crashing under OSX with any mod pack installed. corruption typically happens after a crash or
'stressful' game event such as a stage separation or 5x+ warp. Problem persists with fresh download of mod packs and game, using
the exact same download(s) for the mod pack under Windows causes no graphical problems.

Additional:
Problem cannot be duplicated under a vanilla game install. still attempting to produce results.

History

#1 - 05/17/2013 03:13 PM - Ted

- Severity changed from Urgent to Normal

Downgraded as it does not occur without Add-ons.

#2 - 05/17/2013 09:41 PM - Ruedii

| wanted to add my insight from years of experience: | think this is likely a hardware issue.

This looks like either video memory overheat, or GPU overheat.

You may want to check your power management settings to see if you can turn on active cooling while you are playing. You could also try throttling
back your processor's maximum speed by one notch to reduce the amount of heat being fed into the unified heat sink from the processor, allowing it

to better cool your video components.

It seems some games handle this better than others. There is a routine to reduce this issue. (Checksumming and/or reloading of textures and
shaders in certain cycles.)

You might want to throwing together a large rocket or airplane (or simply try loading someone's wiggler) and see if that will get it to trigger in stock.

Otherwise it would be helpful to figure out what add on is causing it. | suspect it may be B9 Aerospace since that is most likely to increase the
number of physics calculations.

Make sure to report back, since that information could be very helpful.

#3 - 05/18/2013 04:50 AM - Ted
- Target version deleted (0.19.1)
Removed target version.
superD, could you try reproducing this error and including your player.log when it does occur?
Until then, as Ruedii says, this could be an issue with your system as opposed to the game.

#4 - 11/19/2015 10:14 PM - sal_vager
- Status changed from New to Need More Info

- Severity changed from Normal to Very Low

Marking as requiring more information as this needs to be retested without graphics addons.

#5 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#6 - 08/07/2016 11:33 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
